wl_global(3)

NAME
wl_global

SYNOPSIS

  Public Member Functions
uint32_t wl_global_get_name (const struct wl_global *global, const struct wl_client *client)
uint32_t wl_global_get_version (const struct wl_global *global)
struct wl_display * wl_global_get_display (const struct wl_global *global)

  Data Fields
struct wl_display * display
const struct wl_interface * interface
uint32_t name
uint32_t version
void * data
wl_global_bind_func_t bind
struct wl_list link
bool removed

Member Function Documentation

  struct wl_display * wl_global_get_display (const struct wl_global * global)
Get the display object for the given global

Parameters
    global The global object

Returns
    The display object the global is associated with.

Since
    1.20

  uint32_t wl_global_get_name (const struct wl_global * global, const struct wl_client * client)
Get the name of the global.

Parameters
    global The global object.
    client Client for which to look up the global.

Returns
    The name of the global, or 0 if the global is not visible to the client.

Since
    1.22

  uint32_t wl_global_get_version (const struct wl_global * global)
Get the version of the given global.

Parameters
    global The global object.

Returns
    The version advertised by the global.

Since
    1.21

Field Documentation

  wl_global_bind_func_t wl_global::bind

  void* wl_global::data

  struct wl_display* wl_global::display

  const struct wl_interface* wl_global::interface

  struct wl_list wl_global::link

  uint32_t wl_global::name

  bool wl_global::removed

  uint32_t wl_global::version

Author

Generated automatically by Doxygen for Wayland from the source code.